org.jbpm.process.audit

## Class NodeInstanceLog_

- java.lang.Object
- - org.jbpm.process.audit.NodeInstanceLog_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class NodeInstanceLog_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `connection`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date>` | `date`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `externalId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeContainerId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeName`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeType`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `referenceId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer>` | `slaCompliance`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date>` | `slaDueDate`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer>` | `type`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `workItemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInstanceLog_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### date

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date> date

    - #### nodeName

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeName

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> processInstanceId

    - #### nodeInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeInstanceId

    - #### externalId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> externalId

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> workItemId

    - #### type

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer> type

    - #### nodeType

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeType

    - #### referenceId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> referenceId

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> processId

    - #### slaDueDate

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date> slaDueDate

    - #### slaCompliance

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer> slaCompliance

    - #### connection

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> connection

    - #### nodeContainerId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeContainerId

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> id

    - #### nodeId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeId

  - ### Constructor Detail

    - #### NodeInstanceLog_

          public NodeInstanceLog_()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.